File: Cargo.toml

package info (click to toggle)
rust-git-absorb 0.6.6-2
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, bullseye, sid
  • size: 224 kB
  • sloc: makefile: 15
file content (50 lines) | stat: -rw-r--r-- 1,292 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "git-absorb"
version = "0.6.6"
authors = ["Stephen Jung <tummychow511@gmail.com>"]
include = ["**/*.rs", "Cargo.*", "*.md"]
description = "git commit --fixup, but automatic"
homepage = "https://github.com/tummychow/git-absorb"
readme = "README.md"
license = "BSD-3-Clause"
repository = "https://github.com/tummychow/git-absorb"

[[bin]]
name = "git-absorb"
path = "src/main.rs"
[dependencies.anyhow]
version = "~1.0"

[dependencies.clap]
version = "~2.33"

[dependencies.git2]
version = ">= 0.9"
default-features = false

[dependencies.memchr]
version = ">= 2.2"

[dependencies.slog]
version = "~2.5"

[dependencies.slog-async]
version = "~2.5"

[dependencies.slog-term]
version = "~2.6"
[dev-dependencies.tempfile]
version = "~3.1"